summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorzxp198210052024-02-21 15:50:22 +0800
committerzxp198210052024-02-21 15:50:22 +0800
commit7abe64cd23bbbd6fbe31e71e37c9c9429fa4c19c (patch)
tree226ebbb4e4df55cb73be7889badc1e7a245ab287
parentb5628f6057b1c96ed4ca506ab93e6f55ea3ed073 (diff)
downloadaur-7abe64cd23bbbd6fbe31e71e37c9c9429fa4c19c.tar.gz
fix errors
-rw-r--r--sonixd.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/sonixd.sh b/sonixd.sh
new file mode 100644
index 000000000000..f9ced1432cfc
--- /dev/null
+++ b/sonixd.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+_APPDIR="/usr/lib/@appname@"
+_RUNNAME="${_APPDIR}/@runname@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export NODE_ENV=production
+cd "${_APPDIR}"
+if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
+ exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+else
+ exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+fi \ No newline at end of file